Bug 55837 - GnoRPM seems to use --allmatches --nodeps to remove packages by default.
GnoRPM seems to use --allmatches --nodeps to remove packages by default.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-07 11:05 EST by Chris Kloiber
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-12 16:49:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2001-11-07 11:05:27 EST
Description of Problem:

Customer used up2date to install latest errata kernel (2.4.9-13) and
verified it's functionality, then decided to remove the stock 2.4.7-10
using GnoRPM. He called us saying that grub.conf and parts of fstab weere
missing. Investigation showed that he had NO kernels installed. He said
there was no message warning him of any dependencies (not confirned by me).
Fortunately I was able to get some working kernels installed for him (the
network and loop modules were in use at the time)

Expected Results:

Do not rely on --allmatches --nodeps on an rpm -e, instead always use the
version number on an rpm -e (ie: rpm -e kernel-2.4.9-13) and if there are
dependencies warn the customer and offer the --nodeps option (again I have
not confirmed this part).
Comment 1 Alexander Larsson 2001-11-12 16:24:35 EST
Ouch. That does indeed sound pretty bad.
I'll report this upstream. The maintainers are quite responsive.
Comment 2 Alexander Larsson 2001-11-12 16:49:28 EST
In gnome bugzilla at:

http://bugzilla.gnome.org/show_bug.cgi?id=64419
Comment 3 Alexander Larsson 2002-07-23 12:09:06 EDT
Gnorpm has been deprecated for the next version of RedHat. It will be replaced
with a package called redhat-config-packages.

Note You need to log in before you can comment on or make changes to this bug.